Loading...
Searching...
No Matches
casacore::LELRegionAsBool Class Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

Class to convert a region to a boolean node. More...

`#include <LELRegion.h>`

## Public Member Functions

| LELRegionAsBool (const LELRegion &region)
| Constructor.
| ~LELRegionAsBool ()
| Destructor.
virtual void | eval (LELArray< Bool > &result, const Slicer &section) const
| Get region data.
virtual LELScalar< Bool > | getScalar () const
| Getting region data as a scalar cannot be done (throws an exception).
virtual Bool | prepareScalarExpr ()
| Do further preparations (e.g.
virtual String | className () const
| Get class name.
Public Member Functions inherited from casacore::LELInterface< Bool >
virtual | ~LELInterface ()
| Virtual destructor.
virtual void | evalRef (LELArrayRef< Bool > &result, const Slicer &section) const
LELArray< Bool > | getArray () const
| Get the result of an array subexpression.
Bool | isScalar () const
| Is the result of evaluating this expression a scalar ?
const IPosition & | shape () const
| Get the shape of the expression result.
const LELAttribute & | getAttribute () const
| Get expression attribute.
virtual Bool | lock (FileLocker::LockType, uInt nattempts)
| Handle locking/syncing of the parts of a lattice expression.
virtual void | unlock ()
virtual Bool | hasLock (FileLocker::LockType) const
virtual void | resync ()

## Private Attributes

LatticeRegion | region_p
| Member variables.

## Additional Inherited Members

Static Public Member Functions inherited from casacore::LELInterface< Bool >
static Bool | replaceScalarExpr (std::shared_ptr< LELInterface< Bool > > &expr)
| If the given expression is a valid scalar, replace it by its result.
Protected Member Functions inherited from casacore::LELInterface< Bool >
void | setAttr (const LELAttribute &attrib)
| Set the expression attributes of this object.

## Detailed Description

Class to convert a region to a boolean node.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- Lattice
- LatticeExprNode
- LELInterface

### Etymology

This derived LEL letter class handles a region as a boolean lattice.

### Synopsis

This class makes it possible to handle a region as a true boolean lattice without the need to apply the region to an image. It means that it is only possible if the region has absolute lattice coordinates.

A description of the implementation details of the LEL classes can be found in Note 216

### Motivation

It is useful to be able to handle a mask as a boolean lattice.

Definition at line 180 of file LELRegion.h.

## Constructor & Destructor Documentation

## LELRegionAsBool()

casacore::LELRegionAsBool::LELRegionAsBool | ( | const LELRegion & | region | ) |

Constructor.

## ~LELRegionAsBool()

casacore::LELRegionAsBool::~LELRegionAsBool | ( |  | ) |

Destructor.

## Member Function Documentation

## className()

virtual String casacore::LELRegionAsBool::className | ( |  | ) | const

virtual

Get class name.

Implements casacore::LELInterface< Bool >.

## eval()

virtual void casacore::LELRegionAsBool::eval | ( | LELArray< Bool > & | result,
|  | const Slicer & | section ) const

virtual

Get region data.

Implements casacore::LELInterface< Bool >.

## getScalar()

virtual LELScalar< Bool > casacore::LELRegionAsBool::getScalar | ( |  | ) | const

virtual

Getting region data as a scalar cannot be done (throws an exception).

Implements casacore::LELInterface< Bool >.

## prepareScalarExpr()

virtual Bool casacore::LELRegionAsBool::prepareScalarExpr | ( |  | ) |

virtual

Do further preparations (e.g.

optimization) on the expression.

Implements casacore::LELInterface< Bool >.

## Member Data Documentation

## region_p

LatticeRegion casacore::LELRegionAsBool::region_p

private

Member variables.

Definition at line 204 of file LELRegion.h.

The documentation for this class was generated from the following file:

- lattices/LEL/LELRegion.h